org.apache.cassandra.repair.messages

## Class PrepareMessage

- java.lang.Object
- - org.apache.cassandra.repair.messages.RepairMessage
  - - org.apache.cassandra.repair.messages.PrepareMessage

    public class PrepareMessage
    extends RepairMessage

### Nested Class Summary

Nested Classes
`static class` `PrepareMessage.PrepareMessageSerializer`

### Nested classes/interfaces inherited from class org.apache.cassandra.repair.messages.RepairMessage

`RepairMessage.MessageSerializer<T extends RepairMessage>, RepairMessage.RepairMessageSerializer, RepairMessage.Type`

### Field Summary

Fields
`java.util.List<java.util.UUID>` `cfIds`
`static RepairMessage.MessageSerializer` `globalSerializer`
`boolean` `isIncremental`
`java.util.UUID` `parentRepairSession`
`java.util.Collection<Range<Token>>` `ranges`
`static RepairMessage.MessageSerializer` `serializer`

### Fields inherited from class org.apache.cassandra.repair.messages.RepairMessage

`desc, messageType`

### Constructor Summary

Constructors
Constructor and Description
`PrepareMessage(java.util.UUID parentRepairSession, java.util.List<java.util.UUID> cfIds, java.util.Collection<Range<Token>> ranges, boolean isIncremental, boolean isGlobal)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class org.apache.cassandra.repair.messages.RepairMessage

`createMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serializer

    public static final RepairMessage.MessageSerializer serializer

#### globalSerializer

    public static final RepairMessage.MessageSerializer globalSerializer

#### cfIds

    public final java.util.List<java.util.UUID> cfIds

#### ranges

    public final java.util.Collection<Range<Token>> ranges

#### parentRepairSession

    public final java.util.UUID parentRepairSession

#### isIncremental

    public final boolean isIncremental

### Constructor Detail

#### PrepareMessage

    public PrepareMessage(java.util.UUID parentRepairSession,
                          java.util.List<java.util.UUID> cfIds,
                          java.util.Collection<Range<Token>> ranges,
                          boolean isIncremental,
                          boolean isGlobal)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`